* {
	padding: 0;
	margin: 0;
	-webkit-overflow-scrolling: unset;
	overflow: hidden;
}

.hide {
	display: none !important;
}

.main-container {
	display: flex;
	width: 100vw;
	height: 100vh;
	position: relative;
	justify-content: center;
	align-items: center;
	overflow: hidden;
	background-repeat: no-repeat;
	background-size: 100% 100%;
}

.main-container.s169,
.main-container.tablet,
.main-container.pc {
	background-image: url('../img/root_bg.png');
}

.main-container.mobile {
	flex-direction: column;
	background-image: url('../img/root_bg_mb.png');
}

.s169 .play-zone {
	flex: 1;
	width: 100%;
	max-width: 11.11rem;
	padding-top: 1.8rem;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}

.s169 .container {
	width: 100%;
	max-width: 11.11rem;
	max-height: 11.11rem;
	overflow: hidden;
	background-repeat: no-repeat;
	background-image: url('../img/canvas_bg.png?v=1.0');
	background-size: 100% 100%;
}

.s169 .reset-btn {
	overflow: hidden;
	background-repeat: no-repeat;
	background-image: url('../img/reset.png');
	background-size: 100% 100%;
	width: 3.7rem;
	height: 1.48rem;
	margin-top: 0.52rem;
	cursor: pointer;
}

.reset-btn:hover {
	opacity: 0.8;
}

.s169 .info-wrapper {
	position: absolute;
	left: 1.94rem;
	top: 5.81rem;
}

.s169 .info-wrapper .title {
	height: auto;
	width: 7.35rem;
}

.s169 .info-wrapper .info {
	margin-top: 0.87rem;
	color: #72422a;
	font-size: 0.52rem;
	font-style: normal;
	font-weight: 500;
	line-height: normal;
}

.s169 .info-wrapper .info div {
	margin-bottom: 0.15rem;
}

.mark {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgba(0, 0, 0, 0.65);
	z-index: 111111;
}

.success-tips {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
	z-index: 111112;
}

.s169 .tips {
	background-repeat: no-repeat;
	background-image: url('../img/success-tips.png');
	background-size: 100% 100%;
	width: 14rem;
	height: 11rem;
	display: flex;
	justify-content: center;
	align-items: flex-end;
}

.s169 .tips .again-btn {
	margin-bottom: 2rem;
	margin-left: -0.5rem;
	cursor: pointer;
}


.tips .again-btn:hover {
	opacity: 0.8;
}

.pc .info-wrapper {
	position: absolute;
	left: 1.6rem;
	top: 5.4rem;
}

.pc .info-wrapper .title {
	width: 7rem;
	height: auto;
}

.pc .info-wrapper .info {
	width: 8.09 rem;
	margin-top: 0.57rem;
	color: #72422a;
	font-family: "Alibaba PuHuiTi";
	font-size: 0.42rem;
	font-style: normal;
	font-weight: 500;
	line-height: normal;
}

.pc .info-wrapper .info div {
	margin-bottom: 0.1rem;
}

.tablet .play-title,
.s169 .play-title,
.pc .play-title {
	flex: 1;
	display: inline-flex;
	justify-content: center;
	margin-top: -1.6rem;
}

.tablet .play-title .title,
.s169 .play-title .title,
.pc .play-title .title {
	width: 80%;
	margin: 0 auto;
	height: auto;
}

.pc .play-zone {
	flex: 1;
	width: 100%;
	max-width: 7rem;
	box-sizing: border-box;
	padding-top: 1.8rem;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}

.tablet .play-info,
.s169 .play-info,
.pc .play-info {
	flex: 1;
	margin-top: -2rem;
	box-sizing: border-box;
	padding: 0 0.2rem;
	color: #72422a;
	font-family: "Alibaba PuHuiTi";
	font-size: 0.42rem;
	font-style: normal;
	font-weight: 500;
	line-height: normal;
}

.s169 .play-info {
	color: #72422a;
	font-size: 0.52rem;
	font-style: normal;
	font-weight: 500;
	line-height: normal;
	margin-left: 0.2rem;
}

.pc .container {
	width: 100%;
	max-width: 7rem;
	max-height: 7rem;
	overflow: hidden;
	background-repeat: no-repeat;
	background-image: url('../img/canvas_bg.png?v=1.0');
	background-size: 100% 100%;
}

.pc .reset-btn {
	overflow: hidden;
	background-repeat: no-repeat;
	background-image: url('../img/reset.png');
	background-size: 100% 100%;
	width: 3rem;
	height: 1.28rem;
	margin-top: 0.52rem;
	cursor: pointer;
}


.tablet .info-wrapper {
	position: absolute;
	left: 1.1rem;
	top: 5.4rem;
}

.tablet .info-wrapper .title {
	width: 6rem;
	height: auto;
}

.tablet .info-wrapper .info {
	width: 8.09 rem;
	margin-top: 0.57rem;
	color: #72422a;
	font-family: "Alibaba PuHuiTi";
	font-size: 0.42rem;
	font-style: normal;
	font-weight: 500;
	line-height: normal;
}

.tablet .info-wrapper .info div {
	margin-bottom: 0.1rem;
}

.tablet .play-zone {
	flex: 1;
	max-width: 8.4rem;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}

.tablet .container {
	width: 100%;
	max-width: 8.4rem;
	max-height: 8.4rem;
	overflow: hidden;
	background-repeat: no-repeat;
	background-image: url('../img/canvas_bg.png?v=1.0');
	background-size: 100% 100%;
}

.tablet .reset-btn {
	overflow: hidden;
	background-repeat: no-repeat;
	background-image: url('../img/reset.png');
	background-size: 100% 100%;
	width: 3.4rem;
	height: 1.2rem;
	margin-top: 0.52rem;
	cursor: pointer;
}

.mobile .info-wrapper {
	width: 100%;
	display: flex;
	flex-direction: column;
	align-items: center;
}

.mobile .info-wrapper .title {
	width: 5.29rem;
	height: auto;
}

.mobile .info-wrapper .info {
	width: 6.9rem;
	margin-top: 0.52rem;
	color: #72422a;
	font-family: "Alibaba PuHuiTi";
	font-size: 0.43rem;
	font-style: normal;
	font-weight: 500;
	line-height: normal;
}

.mobile .info-wrapper .info div {
	margin-bottom: 0.2rem;
}

.mobile .play-zone {
	width: 8rem;
	margin-top: 0.69rem;
}

.mobile .container {
	width: 8rem;
	height: 8rem;
	overflow: hidden;
	background-repeat: no-repeat;
	background-image: url('../img/canvas_bg.png?v=1.0');
	background-size: 100% 100%;
}

.mobile .reset-btn {
	overflow: hidden;
	background-repeat: no-repeat;
	background-image: url('../img/reset.png');
	background-size: 100% 100%;
	width: 2.67rem;
	height: 1.07rem;
	margin-top: 1.33rem;
	cursor: pointer;
}

.mobile .tips {
	background-repeat: no-repeat;
	background-image: url('../img/success-tips.png');
	background-size: 100% 100%;
	width: 9.92rem;
	height: 7.73rem;
	display: flex;
	justify-content: center;
	align-items: flex-end;
}

.mobile .tips .again-btn {
	margin-bottom: 1.4rem;
	margin-left: -0.5rem;
	cursor: pointer;
	width: 3.33rem;
	height: 1.2rem;
}